Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732434 - x11-misc/dzen fails to link with LLD because of /usr/lib in the link command line
Summary: x11-misc/dzen fails to link with LLD because of /usr/lib in the link command ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-13 08:17 UTC by Agostino Sarubbo
Modified: 2021-02-25 09:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,12.46 KB, text/plain)
2020-07-13 08:17 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-13 08:17:32 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: x11-misc/dzen fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-13 08:17:45 UTC
Created attachment 649088 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-02-25 09:15:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8341f84f368eb4942e4021cefb92912432b89a64

commit 8341f84f368eb4942e4021cefb92912432b89a64
Author:     Ionen Wolkens <sudinave@gmail.com>
AuthorDate: 2021-02-25 09:15:08 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-25 09:15:08 +0000

    x11-misc/dzen: near-complete rework
    
    Replaced large 8kB Makefile patch by smaller (not pretty) ebuild
    workarounds leaving things up to pkg-config. This notably fix lld,
    prefix, and crossdev builds.
    
    Removed unused-but-set patch, its only purpose was to silence
    build-time warnings.
    
    Removed USE=minimal and disabled by default. Gadgets are small, quick
    to build, and with no extra deps.
    
    Removed USE=xft and enabled by default (like upstream). Alternate code
    path is unreliable with locales and there's little reasons to support
    it (doubtful will be brought back, so removing rather than forcing).
    
    New tarball to drop obsolete SRC_URI.
    
    Closes: https://bugs.gentoo.org/477656
    Closes: https://bugs.gentoo.org/732434
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Ionen Wolkens <sudinave@gmail.com>
    Signed-off-by: David Seifert <soap@gentoo.org>

 x11-misc/dzen/Manifest             |  1 +
 x11-misc/dzen/dzen-0.9.5_p2.ebuild | 63 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)